net.sourceforge.pmd.lang.java.rule.controversial

## Class DaaRuleViolation

- java.lang.Object
- - net.sourceforge.pmd.lang.rule.ParametricRuleViolation<JavaNode>
  - - net.sourceforge.pmd.lang.java.rule.JavaRuleViolation
    - - net.sourceforge.pmd.lang.java.rule.controversial.DaaRuleViolation

All Implemented Interfaces:
  RuleViolation

    public class DaaRuleViolation
    extends JavaRuleViolation

The RuleViolation is extended by the VariableName. The VariableName is required for showing what variable produces the UR DD or DU anomaly.

Author:
  Sven Jacob, Brian Remedios

### Field Summary

### Fields inherited from class net.sourceforge.pmd.lang.rule.ParametricRuleViolation

`beginColumn, beginLine, className, description, endColumn, endLine, filename, methodName, packageName, rule, suppressed`

### Constructor Summary

Constructors
Constructor and Description
`DaaRuleViolation(Rule rule, RuleContext ctx, Node node, String type, String msg, String var, int beginLine, int endLine)`

### Method Summary

Methods
`String` `getType()`
`String` `getVariableName()` Get the variable name on which this violation was identified.

### Methods inherited from class net.sourceforge.pmd.lang.rule.ParametricRuleViolation

`expandVariables, getBeginColumn, getBeginLine, getClassName, getDescription, getEndColumn, getEndLine, getFilename, getMethodName, getPackageName, getRule, getVariableValue, isSuppressed, isVariable, setLines, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DaaRuleViolation

    public DaaRuleViolation(Rule rule,
                    RuleContext ctx,
                    Node node,
                    String type,
                    String msg,
                    String var,
                    int beginLine,
                    int endLine)

### Method Detail

#### getVariableName

    public String getVariableName()

Description copied from interface: `RuleViolation`
Get the variable name on which this violation was identified.

Specified by:
  `getVariableName` in interface `RuleViolation`
Overrides:
  `getVariableName` in class `ParametricRuleViolation<JavaNode>`
Returns:
  The variable name.

#### getType

    public String getType()